Changing JVM version

For the information on how to change the JVM version, please see How to change JVM version


In the following table, please find the recommendations for the appropriate Java version for 19.0 SP3.

ProductVersionRecommendedAlternativeIncluded into installation files
  • MagicDraw
  • Cameo Systems Modeler
  • Cameo Enterprise Architecture
  • Magic Software Architect
  • Magic Cyber Systems Engineer
  • Magic Systems of Systems Architect
19.0 SP3

Oracle JDK 8

  • Windows, Linux: Oracle JDK 1.8.0_202
  • Mac: Oracle JDK 1.8.0_102

OpenJDK 8

(1.8.0_222)

Oracle JDK 8

  • Windows: Oracle JDK 1.8.0_202
  • Mac: Oracle JDK 1.8.0_102
  • Teamwork Cloud
  • Teamwork Server
19.0 SP3

Oracle JDK 8

  • Windows, Linux: Oracle JDK 1.8.0_202
  • Mac: Oracle JDK 1.8.0_102

OpenJDK 8

(1.8.0_222)

Oracle JDK 8

  • Windows: Oracle JDK 1.8.0_202
  • Mac: Oracle JDK 1.8.0_102
  • Cameo Collaborator for Teamwork Cloud
  • Web Application Platform
  • Resources
  • TWC Admin Console NG
19.0 SP3

OpenJDK 12

  • Oracle JDK 12
  • Oracle JDK 13
  • OpenJDK13
OpenJDK 12
  • Cameo Collaborator for Alfresco
19.0 SP3

Oracle JDK 8

  • Windows, Linux: Oracle JDK 1.8.0_202
  • Mac: Oracle JDK 1.8.0_102
Oracle JDK 7Oracle JDK 7

Starting with 19.0 SP2, all the modeling tools, plugins, and collaboration tools were tested with OpenJDK* as an alternative to Oracle JDK.

*OpenJDK. Based on the testing results, we recommend using OpenJDK HotSpot by AdoptJdk.


See the JVM recommendations for versions up to 19.0 SP1.

  • No labels